Métodos de pagamento
Atualizar um método de pagamento
Atualiza um payment method.
curl -X POST "https://api.chargefy.io/v1/payment-methods/pm_7uhvYcw3vvoLJhAJ" \
-H "Authorization: Bearer {{API_KEY}}" \
-H "Content-Type: application/json" \
-d '{
"customer": "cus_31WGFC8g1LP2J8f8",
"metadata": {}
}'
{
"id": "pm_7uhvYcw3vvoLJhAJ",
"object": "payment_method",
"billing_details": {
"address": null,
"email": "cliente@email.com",
"name": "Ana Silva",
"phone": null
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"last4": "4242"
},
"created_at": "2026-05-16T18:30:00Z",
"customer": "cus_31WGFC8g1LP2J8f8",
"livemode": true,
"metadata": {},
"type": "credit_card",
"updated_at": "2026-05-16T18:45:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "metadata must be an object.",
"param": "metadata",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Payment method not found.",
"type": "invalid_request_error"
}
}
Atualiza campos editáveis de um
payment_method. Hoje o campo editável é
metadata.
string
required
ID do payment method (
pm_*).string
Customer usado como contexto quando necessário.
object
Metadata livre.
curl -X POST "https://api.chargefy.io/v1/payment-methods/pm_7uhvYcw3vvoLJhAJ" \
-H "Authorization: Bearer {{API_KEY}}" \
-H "Content-Type: application/json" \
-d '{
"customer": "cus_31WGFC8g1LP2J8f8",
"metadata": {}
}'
Resposta
200 OK com o objeto payment_method completo — mesmo shape de GET /v1/payment-methods/:id.
{
"id": "pm_7uhvYcw3vvoLJhAJ",
"object": "payment_method",
"billing_details": {
"address": null,
"email": "cliente@email.com",
"name": "Ana Silva",
"phone": null
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"last4": "4242"
},
"created_at": "2026-05-16T18:30:00Z",
"customer": "cus_31WGFC8g1LP2J8f8",
"livemode": true,
"metadata": {},
"type": "credit_card",
"updated_at": "2026-05-16T18:45:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "metadata must be an object.",
"param": "metadata",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Payment method not found.",
"type": "invalid_request_error"
}
}
⌘I
curl -X POST "https://api.chargefy.io/v1/payment-methods/pm_7uhvYcw3vvoLJhAJ" \
-H "Authorization: Bearer {{API_KEY}}" \
-H "Content-Type: application/json" \
-d '{
"customer": "cus_31WGFC8g1LP2J8f8",
"metadata": {}
}'
{
"id": "pm_7uhvYcw3vvoLJhAJ",
"object": "payment_method",
"billing_details": {
"address": null,
"email": "cliente@email.com",
"name": "Ana Silva",
"phone": null
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"last4": "4242"
},
"created_at": "2026-05-16T18:30:00Z",
"customer": "cus_31WGFC8g1LP2J8f8",
"livemode": true,
"metadata": {},
"type": "credit_card",
"updated_at": "2026-05-16T18:45:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "metadata must be an object.",
"param": "metadata",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Payment method not found.",
"type": "invalid_request_error"
}
}

